Bug 462870 - (CVE-2008-3662) CVE-2008-3662 gallery2 session hijacking vulnerability
CVE-2008-3662 gallery2 session hijacking vulnerability
Status: CLOSED NEXTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=CVE,reported=2...
: Security
Depends On: 462703 462871 462872 462873
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 09:09 EDT by Josh Bressers
Modified: 2009-01-13 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 10:26:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-09-19 09:09:21 EDT
Gallery before 1.5.9, and 2.x before 2.2.6, does not set the secure
flag for the session cookie in an https session, which can cause the
cookie to be sent in http requests and make it easier for remote
attackers to capture this cookie.

Reference: URL:http://seclists.org/fulldisclosure/2008/Sep/0379.html
Reference: MISC:http://int21.de/cve/CVE-2008-3662-gallery.html
Reference: CONFIRM:http://gallery.menalto.com/gallery_1.5.9_released
Reference: CONFIRM:http://gallery.menalto.com/gallery_2.2.6_released
Reference: URL:http://www.securityfocus.com/bid/31231
Comment 1 Josh Bressers 2008-09-19 09:10:01 EDT
Created gallery2 tracking bugs for this issue

CVE-2008-3662 Affects: F8 [bug #462871]
CVE-2008-3662 Affects: F9 [bug #462872]
CVE-2008-3662 Affects: Fdevel [bug #462873]
Comment 2 Fedora Update System 2008-12-13 10:00:48 EST
gallery2-2.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-12-13 10:02:55 EST
gallery2-2.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-12-13 10:07:50 EST
gallery2-2.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Gwyn Ciesla 2009-01-13 10:26:18 EST
Closing, fixed.

Note You need to log in before you can comment on or make changes to this bug.